#ifndef DICTFORMATTER_H
#define DICTFORMATTER_H

#include <QString>
#include <QHash>

struct DictResponse;

class DictFormatter
{
public:
	DictFormatter();
	QString format(const DictResponse &response);
	QString words(const QString &text);
	QString words(const QStringList &definitions);

private:
	typedef QString (*formatfunc)(const QString &);
	typedef QHash<QString, formatfunc> FormatMap;

	FormatMap fmap;
	int maxLen;
};

#endif
